Bug 1128005 - [Nagios] - When geo replication status is config corrputed, nagios UI shows status and status information as 'OK'
Summary: [Nagios] - When geo replication status is config corrputed, nagios UI shows s...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nagios-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: RHS-C QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 05:54 UTC by RamaKasturi
Modified: 2018-01-30 11:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 11:12:24 UTC


Attachments (Terms of Use)

Description RamaKasturi 2014-08-08 05:54:26 UTC
Description of problem:
When geo rep status is config corrupted, nagios UI shows the status and status information of 'Volume GeoReplication - <vol_name> 'as OK.

Version-Release number of selected component (if applicable):
gluster-nagios-addons-0.1.10-2.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a master vol of type replicate out of a cluster called master_cluster.
2. Create a slave vol out of type replicate out of a cluster called slave_cluster.
3. Have password less connection between the one node of master to one node of slave volume.
4. Run the command "gluster system:: execute gsec_create"
5. Now run the command gluster volume geo-replication <master_vol>::<salve_vol> create push-pem force.
6. Now start geo-rep session by running the command "gluster volume geo-replication <master-vol>::<salve_vol> start".
7. cd to /var/lib/glusterd/ and delete the file <mastervol_ip_slavevol>

Actual results:
Volume Geo replication status and status information shows "OK".

Expected results:
Volume Geo Replication status should be critical and status information should say as "Config Corrputed".

Additional info:

Comment 2 Dusmant 2014-09-23 08:48:54 UTC
Moving it out of 3.0.2, but we should take it in 3.0.3

Comment 4 Sahina Bose 2018-01-30 11:12:24 UTC
Thank you for your report. However, this bug is being closed as it's logged against gluster-nagios monitoring for which no further new development is being undertaken.


Note You need to log in before you can comment on or make changes to this bug.